searchNodes=[{"type":"module","title":"WhatsappElixir","doc":"WhatsappElixir is an Elixir API wrapper for interacting with the WhatsApp API. Installation To use WhatsappElixir in your project, add it to your mix.exs dependencies: defp deps do [ { :whatsapp_elixir , git : &quot;git@bitbucket.org:bitfactor/whatsapp_elixir.git&quot; } ] end Then, run mix deps.get to fetch and install the dependency. Configuration Configure your WhatsApp credentials in config/config.exs : config :whatsapp_elixir , token : System . get_env ( &quot;WHATSAPP_TOKEN&quot; ) , phone_number_id : System . get_env ( &quot;WHATSAPP_PHONE_NUMBER_ID&quot; )","ref":"WhatsappElixir.html"},{"type":"function","title":"WhatsappElixir.new/2","doc":"Creates a new WhatsappElixir struct with the given token and phone number ID. Parameters token : The token to be used for authentication. phone_number_id : The phone number ID associated with the WhatsApp account. Examples iex&gt; WhatsappElixir . new ( &quot;your_token&quot; , &quot;your_phone_number_id&quot; ) % WhatsappElixir { token : &quot;your_token&quot; , phone_number_id : &quot;your_phone_number_id&quot; }","ref":"WhatsappElixir.html#new/2"},{"type":"function","title":"WhatsappElixir.verify_token/2","doc":"Verifies if the provided token matches the expected token. Parameters expected_token : The token expected. provided_token : The token to be verified. Examples iex&gt; WhatsappElixir . verify_token ( &quot;expected_token&quot; , &quot;provided_token&quot; ) true iex&gt; WhatsappElixir . verify_token ( &quot;expected_token&quot; , &quot;wrong_token&quot; ) false","ref":"WhatsappElixir.html#verify_token/2"},{"type":"module","title":"WhatsappElixir.Buttons","doc":"Module to handle sending interactive buttons to WhatsApp users.","ref":"WhatsappElixir.Buttons.html"},{"type":"function","title":"WhatsappElixir.Buttons.send_button/3","doc":"Sends an interactive buttons message to a WhatsApp user. Examples iex&gt; button = %{ &quot;header&quot; =&gt; &quot;Header Text&quot; , &quot;body&quot; =&gt; &quot;Body Text&quot; , &quot;action&quot; =&gt; %{ &quot;button&quot; =&gt; &quot;Button Text&quot; , &quot;sections&quot; =&gt; [ %{ &quot;title&quot; =&gt; &quot;iBank&quot; , &quot;rows&quot; =&gt; [ %{ &quot;id&quot; =&gt; &quot;row 1&quot; , &quot;title&quot; =&gt; &quot;Send Money&quot; , &quot;description&quot; =&gt; &quot;&quot; } , %{ &quot;id&quot; =&gt; &quot;row 2&quot; , &quot;title&quot; =&gt; &quot;Withdraw money&quot; , &quot;description&quot; =&gt; &quot;&quot; } ] } ] } , &quot;footer&quot; =&gt; &quot;Footer Text&quot; } iex&gt; recipient_id = &quot;5511999999999&quot; iex&gt; WhatsappElixir.Buttons . send_button ( button , recipient_id )","ref":"WhatsappElixir.Buttons.html#send_button/3"},{"type":"function","title":"WhatsappElixir.Buttons.send_reply_button/3","doc":"Sends an interactive reply buttons (menu) message to a WhatsApp user. Note: The maximum number of buttons is 3 , more than 3 buttons will rise an error . Examples iex&gt; button = %{ &quot;type&quot; =&gt; &quot;button&quot; , &quot;body&quot; =&gt; %{ &quot;text&quot; =&gt; &quot;button&quot; } , &quot;action&quot; =&gt; %{ &quot;buttons&quot; =&gt; [ %{ &quot;type&quot; =&gt; &quot;reply&quot; , &quot;reply&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;1&quot; , &quot;title&quot; =&gt; &quot;Button 1&quot; } } , %{ &quot;type&quot; =&gt; &quot;reply&quot; , &quot;reply&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;2&quot; , &quot;title&quot; =&gt; &quot;Button 2&quot; } } , %{ &quot;type&quot; =&gt; &quot;reply&quot; , &quot;reply&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;3&quot; , &quot;title&quot; =&gt; &quot;Button 3&quot; } } ] } } iex&gt; recipient_id = &quot;5511999999999&quot; iex&gt; WhatsappElixir.Buttons . send_reply_button ( button , recipient_id )","ref":"WhatsappElixir.Buttons.html#send_reply_button/3"},{"type":"module","title":"WhatsappElixir.HTTP","doc":"Module to handle HTTP requests for the WhatsApp Elixir library.","ref":"WhatsappElixir.HTTP.html"},{"type":"function","title":"WhatsappElixir.HTTP.api_version/1","doc":"","ref":"WhatsappElixir.HTTP.html#api_version/1"},{"type":"function","title":"WhatsappElixir.HTTP.base_url/1","doc":"","ref":"WhatsappElixir.HTTP.html#base_url/1"},{"type":"function","title":"WhatsappElixir.HTTP.config/1","doc":"","ref":"WhatsappElixir.HTTP.html#config/1"},{"type":"function","title":"WhatsappElixir.HTTP.post/2","doc":"Sends a POST request to the specified endpoint with the given body.","ref":"WhatsappElixir.HTTP.html#post/2"},{"type":"module","title":"WhatsappElixir.Media","doc":"Send different Media to WhatsApp users.","ref":"WhatsappElixir.Media.html"},{"type":"function","title":"WhatsappElixir.Media.send_audio/4","doc":"Sends an audio message to a WhatsApp user. Args audio: Audio id or link of the audio recipient_id: Phone number of the user with country code without + link: Whether to send an audio id or an audio link, True means that the audio is a link, False means that the audio is an id (default is true) Example iex&gt; WhatsappElixir . send_audio ( &quot;https://www.soundhelix.com/examples/mp3/SoundHelix-Song-1.mp3&quot; , &quot;5511999999999&quot; ) { :ok , %{ &quot;success&quot; =&gt; true } }","ref":"WhatsappElixir.Media.html#send_audio/4"},{"type":"function","title":"WhatsappElixir.Media.send_document/5","doc":"Sends a document message to a WhatsApp user. Args document: Document id or link of the document recipient_id: Phone number of the user with country code without + caption: Caption of the document (default is &quot;&quot;) link: Whether to send a document id or a document link, True means that the document is a link, False means that the document is an id (default is true) Example iex&gt; WhatsappElixir.Media . send_document ( &quot;https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf&quot; , &quot;5511999999999&quot; ) { :ok , %{ &quot;success&quot; =&gt; true } }","ref":"WhatsappElixir.Media.html#send_document/5"},{"type":"function","title":"WhatsappElixir.Media.send_image/6","doc":"Sends an image message to a WhatsApp user. Args image: Image id or link of the image recipient_id: Phone number of the user with country code without + recipient_type: Type of the recipient, either individual or group (default is &quot;individual&quot;) caption: Caption of the image (default is &quot;&quot;) link: Whether to send an image id or an image link, True means that the image is a link, False means that the image is an id (default is true) Example iex&gt; WhatsappElixir . send_image ( &quot;https://i.imgur.com/Fh7XVYY.jpeg&quot; , &quot;5511999999999&quot; ) { :ok , %{ &quot;success&quot; =&gt; true } }","ref":"WhatsappElixir.Media.html#send_image/6"},{"type":"function","title":"WhatsappElixir.Media.send_location/6","doc":"Sends a location message to a WhatsApp user. Args lat: Latitude of the location long: Longitude of the location name: Name of the location address: Address of the location recipient_id: Phone number of the user with country code without + Example iex&gt; WhatsappElixir . send_location ( &quot;-23.564&quot; , &quot;-46.654&quot; , &quot;My Location&quot; , &quot;Rua dois, 123&quot; , &quot;5511999999999&quot; ) { :ok , %{ &quot;success&quot; =&gt; true } }","ref":"WhatsappElixir.Media.html#send_location/6"},{"type":"function","title":"WhatsappElixir.Media.send_sticker/5","doc":"Sends a sticker message to a WhatsApp user. Args sticker: Sticker id or link of the sticker recipient_id: Phone number of the user with country code without + recipient_type: Type of the recipient, either individual or group (default is &quot;individual&quot;) link: Whether to send a sticker id or a sticker link, True means that the sticker is a link, False means that the sticker is an id (default is true) Example iex&gt; WhatsappElixir . send_sticker ( &quot;170511049062862&quot; , &quot;5511999999999&quot; , &quot;individual&quot; , false ) { :ok , %{ &quot;success&quot; =&gt; true } }","ref":"WhatsappElixir.Media.html#send_sticker/5"},{"type":"function","title":"WhatsappElixir.Media.send_video/5","doc":"Sends a video message to a WhatsApp user. Args video: Video id or link of the video recipient_id: Phone number of the user with country code without + caption: Caption of the video (default is &quot;&quot;) link: Whether to send a video id or a video link, True means that the video is a link, False means that the video is an id (default is true) Example iex&gt; WhatsappElixir . send_video ( &quot;https://www.youtube.com/watch?v=dQw4w9WgXcQ&quot; , &quot;5511999999999&quot; ) { :ok , %{ &quot;success&quot; =&gt; true } }","ref":"WhatsappElixir.Media.html#send_video/5"},{"type":"module","title":"WhatsappElixir.Message","doc":"","ref":"WhatsappElixir.Message.html"},{"type":"function","title":"WhatsappElixir.Message.new/1","doc":"","ref":"WhatsappElixir.Message.html#new/1"},{"type":"module","title":"WhatsappElixir.Messages","doc":"Module to handle WhatsApp messaging.","ref":"WhatsappElixir.Messages.html"},{"type":"function","title":"WhatsappElixir.Messages.mark_as_read/2","doc":"Marks a message as read.","ref":"WhatsappElixir.Messages.html#mark_as_read/2"},{"type":"function","title":"WhatsappElixir.Messages.reply/4","doc":"Replies to a message with a given text.","ref":"WhatsappElixir.Messages.html#reply/4"},{"type":"function","title":"WhatsappElixir.Messages.send_message/4","doc":"Sends a text message.","ref":"WhatsappElixir.Messages.html#send_message/4"},{"type":"function","title":"WhatsappElixir.Messages.send_template/5","doc":"## Parameters template : The name of the template to be sent. recipient_id : The recipient's WhatsApp ID. components : A list of components (e.g., buttons, text) to include in the template message. lang : (Optional) The language code for the message. Defaults to &quot;en_US&quot; . custom_config : (Optional) A list of custom configuration options for the HTTP request. Examples iex&gt; send_template ( &quot;hello_world&quot; , &quot;+2547111111111&quot; &quot;}]) {:ok, %{&quot; status &quot; =&gt; &quot; sent &quot;}} iex&gt; send_template(&quot; welcome_template &quot;, &quot; + 2547111111111 &quot;&quot; , [ ] , &quot;fr_FR&quot; , custom_configs ) { :ok , %{ &quot;status&quot; =&gt; &quot;sent&quot; } } Returns {:ok, response} : On success, returns :ok and the HTTP response. {:error, response} : On failure, returns :error and the HTTP response.","ref":"WhatsappElixir.Messages.html#send_template/5"},{"type":"module","title":"WhatsappElixir.Others","doc":"Module to handle sending custom JSON and contact messages to WhatsApp users.","ref":"WhatsappElixir.Others.html"},{"type":"function","title":"WhatsappElixir.Others.send_contacts/3","doc":"Sends a list of contacts to a WhatsApp user. REFERENCE: https://developers.facebook.com/docs/whatsapp/cloud-api/reference/messages#contacts-object Examples iex&gt; contacts = [ %{ ...&gt; &quot;name&quot; =&gt; %{ &quot;formatted_name&quot; =&gt; &quot;Maxwell Muhanda&quot; , &quot;first_name&quot; =&gt; &quot;Maxwell&quot; } , ...&gt; &quot;addresses&quot; =&gt; [ %{ ...&gt; &quot;street&quot; =&gt; &quot;STREET&quot; , ...&gt; &quot;city&quot; =&gt; &quot;CITY&quot; , ...&gt; &quot;state&quot; =&gt; &quot;STATE&quot; , ...&gt; &quot;zip&quot; =&gt; &quot;ZIP&quot; , ...&gt; &quot;country&quot; =&gt; &quot;COUNTRY&quot; , ...&gt; &quot;country_code&quot; =&gt; &quot;COUNTRY_CODE&quot; , ...&gt; &quot;type&quot; =&gt; &quot;HOME&quot; ...&gt; } ] ...&gt; } ] iex&gt; recipient_id = &quot;5511999999999&quot; iex&gt; WhatsappElixir.Others . send_contacts ( contacts , recipient_id )","ref":"WhatsappElixir.Others.html#send_contacts/3"},{"type":"function","title":"WhatsappElixir.Others.send_custom_json/3","doc":"Sends a custom JSON to a WhatsApp user. This can be used to send custom objects to the message endpoint. Examples iex&gt; data = %{ ...&gt; &quot;messaging_product&quot; =&gt; &quot;whatsapp&quot; , ...&gt; &quot;type&quot; =&gt; &quot;audio&quot; , ...&gt; &quot;audio&quot; =&gt; %{ &quot;id&quot; =&gt; &quot;audio_id&quot; } ...&gt; } iex&gt; recipient_id = &quot;5511999999999&quot; iex&gt; WhatsappElixir.Others . send_custom_json ( data , recipient_id )","ref":"WhatsappElixir.Others.html#send_custom_json/3"},{"type":"module","title":"WhatsappElixir.Static","doc":"Utility functions for processing data received from the WhatsApp webhook.","ref":"WhatsappElixir.Static.html"},{"type":"function","title":"WhatsappElixir.Static.changed_field/1","doc":"Helper function to check if the field changed in the data received from the webhook.","ref":"WhatsappElixir.Static.html#changed_field/1"},{"type":"function","title":"WhatsappElixir.Static.get_audio/1","doc":"Extracts the audio of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_audio/1"},{"type":"function","title":"WhatsappElixir.Static.get_author/1","doc":"Extracts the author of the message from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_author/1"},{"type":"function","title":"WhatsappElixir.Static.get_delivery/1","doc":"Extracts the delivery status of the message from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_delivery/1"},{"type":"function","title":"WhatsappElixir.Static.get_document/1","doc":"Extracts the document of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_document/1"},{"type":"function","title":"WhatsappElixir.Static.get_image/1","doc":"Extracts the image of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_image/1"},{"type":"function","title":"WhatsappElixir.Static.get_interactive_response/1","doc":"Extracts the response of the interactive message from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_interactive_response/1"},{"type":"function","title":"WhatsappElixir.Static.get_location/1","doc":"Extracts the location of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_location/1"},{"type":"function","title":"WhatsappElixir.Static.get_message/1","doc":"Extracts the text message of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_message/1"},{"type":"function","title":"WhatsappElixir.Static.get_message_id/1","doc":"Extracts the message id of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_message_id/1"},{"type":"function","title":"WhatsappElixir.Static.get_message_timestamp/1","doc":"Extracts the timestamp of the message from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_message_timestamp/1"},{"type":"function","title":"WhatsappElixir.Static.get_message_type/1","doc":"Gets the type of the message sent by the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_message_type/1"},{"type":"function","title":"WhatsappElixir.Static.get_mobile/1","doc":"Extracts the mobile number of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_mobile/1"},{"type":"function","title":"WhatsappElixir.Static.get_name/1","doc":"Extracts the name of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_name/1"},{"type":"function","title":"WhatsappElixir.Static.get_video/1","doc":"Extracts the video of the sender from the data received from the webhook.","ref":"WhatsappElixir.Static.html#get_video/1"},{"type":"function","title":"WhatsappElixir.Static.is_message/1","doc":"Checks if the data received from the webhook is a message.","ref":"WhatsappElixir.Static.html#is_message/1"},{"type":"extras","title":"WhatsappElixir","doc":"WhatsappElixir is an Elixir library for interacting with the WhatsApp API. It allows you to handle incoming messages and send responses efficiently using a clean and simple API.","ref":"readme.html"},{"type":"extras","title":"WhatsappElixir - Installation","doc":"To use WhatsappElixir in your project, add it to your mix.exs dependencies: def deps do [ { :whatsapp_elixir , &quot;0.1.1&quot; } ] end ## Configuration Configure your WhatsApp credentials in config/config.exs : config :whatsapp_elixir , WhatsappElixir.HTTP , token : System . get_env ( &quot;WHATSAPP_TOKEN&quot; ) , phone_number_id : System . get_env ( &quot;WHATSAPP_PHONE_NUMBER_ID&quot; ) verify_token : System . get_env ( &quot;VERIFY_TOKEN&quot; ) &quot;&quot;&quot; Config can be left blank if you wish to pass the config at the app. ## Usage sending whatsapp message example this only works with users with existing sessions to send message first time use templated message on user reply session will be created. ### messages &amp; templated message defmodule MyModule do alias WhatsappElixir.Messages def send_message ( mobile_number ) do Messages . send_message ( mobile_number , &quot;Hello World&quot; ) end def send_templated ( mobile_number ) do Messages . send_template ( &quot;hello_world&quot; , mobile_number , [ ] ) end end","ref":"readme.html#installation"},{"type":"extras","title":"WhatsappElixir - Sends an image message to a WhatsApp user.","doc":"Args image: Image id or link of the image recipient_id: Phone number of the user with country code without + recipient_type: Type of the recipient, either individual or group (default is &quot;individual&quot;) caption: Caption of the image (default is &quot;&quot;) link: Whether to send an image id or an image link, True means that the image is a link, False means that the image is an id (default is true) iex&gt; WhatsappElixir . send_image ( &quot;https://i.imgur.com/Fh7XVYY.jpeg&quot; , &quot;5511999999999&quot; )","ref":"readme.html#sends-an-image-message-to-a-whatsapp-user"},{"type":"extras","title":"WhatsappElixir - Send Template Message","doc":"defmodule MyModule do alias WhatsappElixir.Messages def send_templated ( mobile_number ) do Messages . send_template ( &quot;hello_world&quot; , mobile_number , [ ] ) end end","ref":"readme.html#send-template-message"}]